using System;

namespace Zad2__PetljaTakmicenje
{
    class Program
    {
        static void Main(string[] args)
        {
            int UkupnaSreca = 0;

            string[] unos = Console.ReadLine().Split(' ');

            int N = Convert.ToInt32(unos[0]);
            int M = Convert.ToInt32(unos[1]);

            int[] A = new int[N];

            for (int i = 0; i < N; i++)
            {
                A[i] = Convert.ToInt32(Console.ReadLine());
            }

            for (int i = 0; i < M; i++)
            {
                string s = Console.ReadLine();
                string[] values = s.Split(' ');
                int P1 = int.Parse(values[0]);
                int P2 = int.Parse(values[1]);

                if (A[P1] + A[P2] >= 0)
                {
                    UkupnaSreca = UkupnaSreca + A[P1] + A[P2];
                }
                else
                {
                    UkupnaSreca = UkupnaSreca - (A[P1] + A[P2]);
                }
            }
            Console.WriteLine(UkupnaSreca);
        }
    }
}